
%define name		dclib
%define version		0.3.8
%define release		%mkrel 1
%define major		0
%define distsuffix plf

%define libname		%mklibname dc %{major}

Summary:		Direct Connect file sharing library
Name:			%{name}
Version:		%{version}
Release:   		%{release}
License:		GPL
Url:			http://sourceforge.net/projects/wxdcgui/
Source0:		http://downloads.sourceforge.net/wxdcgui/%name-%version.tar.bz2
Patch3:			%{name}-connectionlist_fix.patch.bz2
Group:			System/Libraries
BuildRequires:		bzip2-devel
BuildRequires:		openssl-devel
BuildRequires:		libxml2-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This library implements the Direct Connect file sharing protocol.

This package is in PLF because it is against Mandriva policy to
include such software.

%package -n %{libname}
Summary:		Direct Connect shared library
Group:			System/Libraries
Provides:		libdc = %{version}-%{release}

%description -n %{libname}
This library implements the Direct Connect file sharing protocol.
The package contains the shared library required for running programs
based on dclib.

This package is in PLF because it is against Mandriva policy to
include such software.

%package -n %{libname}-devel
Summary:		Direct Connect developer files
Group:			Development/C++
Provides:		dc-devel = %{version}-%{release}
Provides:		libdc-devel = %{version}-%{release}
Requires:		%{libname} = %{version}

%description -n %{libname}-devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and static library to compile programs
based on dclib.

This package is in PLF because it is against Mandriva policy to
include such software.

%prep
%setup -q -n %{name}-%{version}
%patch3

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%clean
%__rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.OpenSSL INSTALL NEWS README 
%doc TODO dclib.lsm
%{_libdir}/libdc.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libdc.so
%{_libdir}/libdc.a
%{_libdir}/libdc.la
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sun Dec 31 2006 Anssi Hannula <anssi@zarb.org> 0.3.8-1plf2007.1
- 0.3.8
- clean spec
- update url
- versioned provides
- drop hardcoded devel requires

* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@zarb.org> 0:0.3.7-3plf
- Rebuild for wrong dependancies

* Sat Aug 27 2005 Pascal Terjan <pterjan@zrab.org> 0:0.3.7-2plf
- Don't enforce distribution in the specfile

* Sun Feb 27 2005 David Walluck <david@zarb.org> 0:0.3.7-1plf
- 0.3.7

* Fri Feb 11 2005 David Walluck <david@zarb.org> 0:0.3.6-1plf
- 0.3.6

* Mon Jan 17 2005 David Walluck <david@zarb.org> 0:0.3.5-1plf
- 0.3.5

* Tue Dec 14 2004 David Walluck <david@zarb.org> 0.3.4-0.20041214.1plf
- apply patches from Henning Noren's FC3 rpms
- fix epochs

* Sun Oct 24 2004 David Walluck <david@zarb.org> 0.3.4-0.20041023.3plf
- really fix epochs

* Sun Oct 24 2004 David Walluck <david@zarb.org> 0.3.4-0.20041023.2plf
- add reason for PLF to subpackages

* Sat Oct 23 2004 David Walluck <david@zarb.org> 0.3.4-0.20041023.1plf
- 0.3.4 (CVS 20041023)

* Thu Sep 02 2004 David Walluck <david@plf.zarb.org> 0:0.3.3-1plf
- 0.3.3

* Sat May 08 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.3plf
- rebuild

* Sat May 08 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.2plf
- fix changelog and BuildRequires
- consolidate patches
- add reason for PLF

* Fri May 07 2004 David Walluck <david@plf.zarb.org> 0:0.3.0-0.20040507.1plf
- 0.3.0 CVS (20040507)

* Mon Apr 26 2004 Stefan van der Eijk <stefan@zarb.org> 0:0.20040403.2plf
- BuildRequires
- fix Patch2

* Sat Apr 03 2004 David Walluck <david@plf.zarb.org> 0:0.20040403.1plf
- 0.3.0 CVS (20040403)

* Thu Feb 26 2004 Gtz Waschk <goetz@plf.zarb.org> 0.2.21-1plf
- add provides libdc
- remove distribution and vendor tags
- use the mdkversion macro
- new version

* Sat Oct 11 2003 David Walluck <david@anti-microsoft.org> 0:0.2.20-1plf
- 0.2.20

* Fri Sep 05 2003 David Walluck <david@anti-microsoft.org> 0.2.19-1plf
- 0.2.19

* Wed Jul 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.16-3plf
- fix directory ownership

* Fri Jul 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.16-2plf
- rebuild for new rpm

* Fri Jun 20 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.16-1plf
- new version

* Wed Jun 11 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.15-1plf
- new version

* Wed Jun  4 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.14-2plf
- mklibname
- enable ssl

* Mon Jun  2 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.14-1plf
- patch to fix a missing header
- new version

* Mon May  5 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.13-1plf
- new version

* Thu Apr 24 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.11-1plf
- new version

* Tue Apr 15 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.10-1plf
- new version

* Tue Apr  8 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.9-1plf
- new version

* Thu Mar 27 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.8-1plf
- new version

* Thu Mar 13 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.7-1plf
- new version

* Mon Mar  3 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.6-1plf
- new version

* Mon Feb 10 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.5-1plf
- new version

* Sat Feb  1 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.4-1plf
- new version

* Thu Jan 23 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.3-1plf
- new version

* Wed Jan 22 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.2-1plf
- new version

* Thu Jan 16 2003 Gtz Waschk <goetz@plf.zarb.org> 0.2.1-1plf
- new version

* Thu Jan  9 2003 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc5.1plf
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc4.1plf
- new version

* Fri Dec 13 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.rc2.1plf
- new version

* Tue Dec  3 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta5.1plf
- new version

* Wed Nov 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta3.1plf
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta2.1plf
- new version

* Thu Oct 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.2-0.beta1.1plf
- 0.2beta1

* Sun Oct  6 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-1plf
- new version

* Wed Oct  2 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.rc2.1plf
- 0.1rc2 

* Sun Sep 29 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.rc1.1plf
- 0.1rc1

* Fri Sep 27 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 0.1-0.beta12.1plf
- initial PLF package
